Subject: Re: [RFC] net: allow FEC driver to not have attached PHY

From: Simon Farnsworth <[email-masked]>
Date: Thu, 07 Oct 2010 14:28:08 +0100

Greg Ungerer wrote:

> 
> Hi All,
> 
> I have a board with a ColdFire SoC on it with the built-in FEC
> ethernet module. On this hardware the FEC eth output is directly
> attached to a RTL8305 4-port 10/100 switch. There is no conventional
> PHY, the FEC output is direct into the uplink port of the switch
> chip.
> 
> This setup doesn't work after the FEC code was switch to using
> phylib. The driver used to have code to bypass phy detection/setup
> for this particular board. The phylib probe finds nothing, and of
> course sets a no-link condition.
> 
> So, what is the cleanest way to support this?
> 
Is there anything that stops you using the fixed MDIO support in phylib 
(CONFIG_FIXED_PHY)? It seems to me to be intended for this sort of 
situation.

-- 
Simon